# ObjectBase(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``ObjectBase`(bpy_struct)

  An object instance in a scene

  `layers`

    Layers the object base is on

    Type: | boolean array of 20 items, default (False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False)

  `layers_local_view`

    3D local view layers the object base is on

    Type: | boolean array of 8 items, default (False, False, False, False, False, False, False, False), (readonly)

  `object`

    Object this base links to

    Type: | `Object`, (readonly)

  `select`

    Object base selection state

    Type: | boolean, default False

  `layers_from_view`(view)

    Sets the object layers from a 3D View (use when adding an object in local view)

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`bpy.context.active_base` `bpy.context.selectable_bases` `bpy.context.selected_bases` `bpy.context.selected_editable_bases` | `bpy.context.visible_bases` `Scene.object_bases` `SceneBases.active` `SceneObjects.link`